<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage FavBlog
 * @since FavBlog 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'favblog_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','favblog' ),
	'description'       => esc_html__( 'Archive section options.', 'favblog' ),
	'panel'             => 'favblog_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'favblog_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'favblog_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'favblog' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'favblog' ),
	'section'           => 'favblog_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'favblog_is_latest_posts'
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'favblog_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'favblog_sanitize_switch_control',
) );

$wp_customize->add_control( new favblog_Switch_Control( $wp_customize, 'favblog_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'favblog' ),
	'section'           => 'favblog_archive_section',
	'on_off_label' 		=> favblog_hide_options(),
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'favblog_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'favblog_sanitize_switch_control',
) );

$wp_customize->add_control( new favblog_Switch_Control( $wp_customize, 'favblog_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'favblog' ),
	'section'           => 'favblog_archive_section',
	'on_off_label' 		=> favblog_hide_options(),
) ) );
