<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage FavBlog
 * @since FavBlog 1.0.0
 */

$wp_customize->add_section( 'favblog_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','favblog' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'favblog' ),
	'panel'             => 'favblog_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'favblog_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'favblog_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new favblog_Switch_Control( $wp_customize, 'favblog_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'favblog' ),
	'section'          	=> 'favblog_breadcrumb',
	'on_off_label' 		=> favblog_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'favblog_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'favblog_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'favblog' ),
	'active_callback' 	=> 'favblog_is_breadcrumb_enable',
	'section'          	=> 'favblog_breadcrumb',
) );
