<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage FavBlog
 * @since FavBlog 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'favblog_layout', array(
	'title'               => esc_html__('Layout','favblog'),
	'description'         => esc_html__( 'Layout section options.', 'favblog' ),
	'panel'               => 'favblog_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'favblog_theme_options[site_layout]', array(
	'sanitize_callback'   => 'favblog_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new favblog_Custom_Radio_Image_Control ( $wp_customize, 'favblog_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'favblog' ),
	'section'             => 'favblog_layout',
	'choices'			  => favblog_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'favblog_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'favblog_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new favblog_Custom_Radio_Image_Control ( $wp_customize, 'favblog_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'favblog' ),
	'section'             => 'favblog_layout',
	'choices'			  => favblog_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'favblog_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'favblog_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new favblog_Custom_Radio_Image_Control ( $wp_customize, 'favblog_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'favblog' ),
	'section'             => 'favblog_layout',
	'choices'			  => favblog_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'favblog_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'favblog_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new favblog_Custom_Radio_Image_Control( $wp_customize, 'favblog_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'favblog' ),
	'section'             => 'favblog_layout',
	'choices'			  => favblog_sidebar_position(),
) ) );