<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage FavBlog
 * @since FavBlog 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'favblog_pagination', array(
	'title'               	=> esc_html__('Pagination','favblog'),
	'description'         	=> esc_html__( 'Pagination section options.', 'favblog' ),
	'panel'               	=> 'favblog_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'favblog_theme_options[pagination_enable]', array(
	'sanitize_callback' 	=> 'favblog_sanitize_switch_control',
	'default'             	=> $options['pagination_enable'],
) );

$wp_customize->add_control( new favblog_Switch_Control( $wp_customize, 'favblog_theme_options[pagination_enable]', array(
	'label'               	=> esc_html__( 'Pagination Enable', 'favblog' ),
	'section'             	=> 'favblog_pagination',
	'on_off_label' 			=> favblog_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'favblog_theme_options[pagination_type]', array(
	'sanitize_callback'   	=> 'favblog_sanitize_select',
	'default'             	=> $options['pagination_type'],
) );

$wp_customize->add_control( 'favblog_theme_options[pagination_type]', array(
	'label'               	=> esc_html__( 'Pagination Type', 'favblog' ),
	'section'             	=> 'favblog_pagination',
	'type'                	=> 'select',
	'choices'			  	=> favblog_pagination_options(),
	'active_callback'	  	=> 'favblog_is_pagination_enable',
) );
